Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.components
Interface UrlProvider

All Known Implementing Classes:
  ComponentUrlProvider

    public interface UrlProvider

Implemntations of this interface can be used to build a URL

Field Summary
`static String` | `ALL`
`static String` | `GET`
`static String` | `NONE` The includeParams attribute may have the value 'none', 'get' or 'all'.

Method Summary
`String` | `determineActionURL(String action, String namespace, String method, javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Map parameters, String scheme, boolean includeContext, boolean encode, boolean forceAddSchemeHostAndPort, boolean escapeAmp)`
`String` | `determineNamespace(String namespace, ValueStack stack, javax.servlet.http.HttpServletRequest req)`
`String` | `findString(String value)`
`String` | `getAction()`
`String` | `getAnchor()`
`ExtraParameterProvider` | `getExtraParameterProvider()`
`javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`javax.servlet.http.HttpServletResponse` | `getHttpServletResponse()`
`String` | `getIncludeParams()`
`String` | `getMethod()`
`String` | `getNamespace()`
`Map` | `getParameters()`
`String` | `getPortletMode()`
`String` | `getPortletUrlType()`
`String` | `getScheme()`
`ValueStack` | `getStack()`
`String` | `getUrlIncludeParams()`
`String` | `getValue()`
`String` | `getVar()`
`String` | `getWindowState()`
`boolean` | `isEncode()`
`boolean` | `isEscapeAmp()`
`boolean` | `isForceAddSchemeHostAndPort()`
`boolean` | `isIncludeContext()`
`boolean` | `isPutInContext()`
`void` | `putInContext(String result)`
`void` | `setAction(String action)`
`void` | `setAnchor(String anchor)`
`void` | `setEncode(boolean encode)`
`void` | `setEscapeAmp(boolean escapeAmp)`
`void` | `setExtraParameterProvider(ExtraParameterProvider provider)`
`void` | `setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)`
`void` | `setHttpServletRequest(javax.servlet.http.HttpServletRequest req)`
`void` | `setHttpServletResponse(javax.servlet.http.HttpServletResponse res)`
`void` | `setIncludeContext(boolean includeContext)`
`void` | `setIncludeParams(String includeParams)`
`void` | `setMethod(String method)`
`void` | `setNamespace(String namespace)`
`void` | `setPortletMode(String portletMode)`
`void` | `setPortletUrlType(String portletUrlType)`
`void` | `setScheme(String scheme)`
`void` | `setUrlIncludeParams(String urlIncludeParams)`
`void` | `setUrlRenderer(UrlRenderer urlRenderer)`
`void` | `setValue(String string)`
`void` | `setWindowState(String windowState)`

Field Detail

### NONE

    static final String NONE

  The includeParams attribute may have the value 'none', 'get' or 'all'. It is used when the url tag is used without a value attribute. Its value is looked up on the ValueStack If no includeParams is specified then 'get' is used. none - include no parameters in the URL get - include only GET parameters in the URL (default) all - include both GET and POST parameters in the URL

  See Also:
    Constant Field Values

### GET

    static final String GET

See Also:
  Constant Field Values

### ALL

    static final String ALL

See Also:
  Constant Field Values

Method Detail

### isPutInContext

    boolean isPutInContext()

### getVar

    String getVar()

### getValue

    String getValue()

### findString

    String findString(String value)

### setValue

    void setValue(String string)

### getUrlIncludeParams

    String getUrlIncludeParams()

### getIncludeParams

    String getIncludeParams()

### getParameters

    Map getParameters()

### getHttpServletRequest

    javax.servlet.http.HttpServletRequest getHttpServletRequest()

### getAction

    String getAction()

### getExtraParameterProvider

    ExtraParameterProvider getExtraParameterProvider()

### getScheme

    String getScheme()

### getNamespace

    String getNamespace()

### getMethod

    String getMethod()

### getHttpServletResponse

    javax.servlet.http.HttpServletResponse getHttpServletResponse()

### isIncludeContext

    boolean isIncludeContext()

### isEncode

    boolean isEncode()

### isForceAddSchemeHostAndPort

    boolean isForceAddSchemeHostAndPort()

### isEscapeAmp

    boolean isEscapeAmp()

### getPortletMode

    String getPortletMode()

### getWindowState

    String getWindowState()

### determineActionURL

    String determineActionURL(String action,
                              String namespace,
                              String method,
                              javax.servlet.http.HttpServletRequest httpServletRequest,
                              javax.servlet.http.HttpServletResponse httpServletResponse,
                              Map parameters,
                              String scheme,
                              boolean includeContext,
                              boolean encode,
                              boolean forceAddSchemeHostAndPort,
                              boolean escapeAmp)

### determineNamespace

    String determineNamespace(String namespace,
                              ValueStack stack,
                              javax.servlet.http.HttpServletRequest req)

### getAnchor

    String getAnchor()

### getPortletUrlType

    String getPortletUrlType()

### getStack

    ValueStack getStack()

### setUrlIncludeParams

    void setUrlIncludeParams(String urlIncludeParams)

### setHttpServletRequest

    void setHttpServletRequest(javax.servlet.http.HttpServletRequest req)

### setHttpServletResponse

    void setHttpServletResponse(javax.servlet.http.HttpServletResponse res)

### setUrlRenderer

    void setUrlRenderer(UrlRenderer urlRenderer)

### setExtraParameterProvider

    void setExtraParameterProvider(ExtraParameterProvider provider)

### setIncludeParams

    void setIncludeParams(String includeParams)

### setScheme

    void setScheme(String scheme)

### setAction

    void setAction(String action)

### setPortletMode

    void setPortletMode(String portletMode)

### setNamespace

    void setNamespace(String namespace)

### setMethod

    void setMethod(String method)

### setEncode

    void setEncode(boolean encode)

### setIncludeContext

    void setIncludeContext(boolean includeContext)

### setWindowState

    void setWindowState(String windowState)

### setPortletUrlType

    void setPortletUrlType(String portletUrlType)

### setAnchor

    void setAnchor(String anchor)

### setEscapeAmp

    void setEscapeAmp(boolean escapeAmp)

### setForceAddSchemeHostAndPort

    void setForceAddSchemeHostAndPort(boolean forceAddSchemeHostAndPort)

### putInContext

    void putInContext(String result)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.